package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.CyServerht;

/**
 * 保安服务公司子公司搜索类
 * @author Ethan
 */
public class CyServerhtSearchDto extends SearchDto<CyServerht> {

	private Long userid;


	/**
	 * 服务对象
	 */
	private String serverObj;

	/**
	 * 合同名称
	 */
	private String htName;

	/**
	 * 合同签订日期
	 */
	private String htStartDate;

	/**
	 * 合同结束日期
	 */
	private String htEndDate;

	/**
	 * 合同编号
	 */
	private String htNum;

	/**
	 * 合同年限
	 */
	private String htLife;

	/***
	 * 合同状态
	 */
	private String htstate;

	/***
	 *合同签订日期
	 */
	private String htqdStartDate;

	/**
	 * 搜索开始时间
	 * @return
	 */
	private String searchStartTime;

	/**
	 * 搜索结束时间
	 * @return
	 */
	private String searchEndTime;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}
	
	public String getSearchStartTime() {
		return searchStartTime;
	}

	public void setSearchStartTime(String searchStartTime) {
		this.searchStartTime = searchStartTime;
	}

	public String getSearchEndTime() {
		return searchEndTime;
	}

	public void setSearchEndTime(String searchEndTime) {
		this.searchEndTime = searchEndTime;
	}

	public String getHtqdStartDate() {
		return htqdStartDate;
	}

	public void setHtqdStartDate(String htqdStartDate) {
		this.htqdStartDate = htqdStartDate;
	}

	public String getHtstate() {
		return htstate;
	}

	public void setHtstate(String htstate) {
		this.htstate = htstate;
	}

	public String getServerObj() {
		return serverObj;
	}

	public void setServerObj(String serverObj) {
		this.serverObj = serverObj;
	}

	public String getHtName() {
		return htName;
	}

	public void setHtName(String htName) {
		this.htName = htName;
	}

	public String getHtStartDate() {
		return htStartDate;
	}

	public void setHtStartDate(String htStartDate) {
		this.htStartDate = htStartDate;
	}

	public String getHtEndDate() {
		return htEndDate;
	}

	public void setHtEndDate(String htEndDate) {
		this.htEndDate = htEndDate;
	}

	public String getHtNum() {
		return htNum;
	}

	public void setHtNum(String htNum) {
		this.htNum = htNum;
	}

	public String getHtLife() {
		return htLife;
	}

	public void setHtLife(String htLife) {
		this.htLife = htLife;
	}
}
